// dbSet.cpp : implementation of the CDbSet class
//

#include "stdafx.h"
#include "db.h"
#include "dbSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDbSet implementation

IMPLEMENT_DYNAMIC(CDbSet, CDaoRecordset)

CDbSet::CDbSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CDbSet)
	m_Name = _T("");
	m_Grade = _T("");
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}

CString CDbSet::GetDefaultDBName()
{
	return _T("C:\\vcpp\\db\\db.mdb");
}


CString CDbSet::GetDefaultSQL()
{
	return _T("[students]");
}

void CDbSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CDbSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Text(pFX, _T("[Name]"), m_Name);
	DFX_Text(pFX, _T("[Grade]"), m_Grade);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CDbSet diagnostics

#ifdef _DEBUG
void CDbSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CDbSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG

