// dbSet.h : interface of the CDbSet class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DBSET_H__ED6740A7_9309_11D0_8860_444553540000__INCLUDED_)
#define AFX_DBSET_H__ED6740A7_9309_11D0_8860_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CDbSet : public CDaoRecordset
{
public:
	CDbSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CDbSet)

// Field/Param Data
	//{{AFX_FIELD(CDbSet, CDaoRecordset)
	CString	m_Name;
	CString	m_Grade;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDbSet)
	public:
	virtual CString GetDefaultDBName();		// REVIEW:  Get a comment here
	virtual CString GetDefaultSQL(); 	// default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);	// RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DBSET_H__ED6740A7_9309_11D0_8860_444553540000__INCLUDED_)
