// fullmenusView.cpp : implementation of the CFullmenusView class
//

#include "stdafx.h"
#include "fullmenus.h"

#include "fullmenusDoc.h"
#include "fullmenusView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFullmenusView

IMPLEMENT_DYNCREATE(CFullmenusView, CView)

BEGIN_MESSAGE_MAP(CFullmenusView, CView)
	//{{AFX_MSG_MAP(CFullmenusView)
	ON_UPDATE_COMMAND_UI(ID_DEMO_GRAYED, OnUpdateDemoGrayed)
	ON_UPDATE_COMMAND_UI(ID_DEMO_CHECKED, OnUpdateDemoChecked)
	ON_COMMAND(ID_DEMO_SUBMENUS_SUBITEM1, OnDemoSubmenusSubitem1)
	ON_COMMAND(ID_DEMO_SUBMENUS_SUBITEM2, OnDemoSubmenusSubitem2)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFullmenusView construction/destruction

CFullmenusView::CFullmenusView()
{
	// TODO: add construction code here

}

CFullmenusView::~CFullmenusView()
{
}

BOOL CFullmenusView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CFullmenusView drawing

void CFullmenusView::OnDraw(CDC* pDC)
{
	CFullmenusDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDC->TextOut(0, 0, pDoc->StringData);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CFullmenusView printing

BOOL CFullmenusView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CFullmenusView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CFullmenusView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CFullmenusView diagnostics

#ifdef _DEBUG
void CFullmenusView::AssertValid() const
{
	CView::AssertValid();
}

void CFullmenusView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CFullmenusDoc* CFullmenusView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CFullmenusDoc)));
	return (CFullmenusDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CFullmenusView message handlers

void CFullmenusView::OnUpdateDemoGrayed(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(false);	
}

void CFullmenusView::OnUpdateDemoChecked(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(true);	
	pCmdUI->SetCheck(1);	
	
}

void CFullmenusView::OnDemoSubmenusSubitem1() 
{
	// TODO: Add your command handler code here
	CFullmenusDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->StringData = "Sub menu item 1 clicked.";
	Invalidate();
}

void CFullmenusView::OnDemoSubmenusSubitem2() 
{
	// TODO: Add your command handler code here
	CFullmenusDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->StringData = "Sub menu item 2 clicked.";
	Invalidate();
	
}
