// multiviewView.cpp : implementation of the CMultiviewView class
//

#include "stdafx.h"
#include "multiview.h"

#include "multiviewDoc.h"
#include "multiviewView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMultiviewView

IMPLEMENT_DYNCREATE(CMultiviewView, CView)

BEGIN_MESSAGE_MAP(CMultiviewView, CView)
	//{{AFX_MSG_MAP(CMultiviewView)
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMultiviewView construction/destruction

CMultiviewView::CMultiviewView()
{
	// TODO: add construction code here

}

CMultiviewView::~CMultiviewView()
{
}

BOOL CMultiviewView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMultiviewView drawing

void CMultiviewView::OnDraw(CDC* pDC)
{
	CMultiviewDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDC->TextOut(0, 0, pDoc->StringData);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CMultiviewView printing

BOOL CMultiviewView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CMultiviewView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CMultiviewView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CMultiviewView diagnostics

#ifdef _DEBUG
void CMultiviewView::AssertValid() const
{
	CView::AssertValid();
}

void CMultiviewView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMultiviewDoc* CMultiviewView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMultiviewDoc)));
	return (CMultiviewDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMultiviewView message handlers

void CMultiviewView::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	CMultiviewDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->StringData += nChar;
	Invalidate();
	pDoc->UpdateAllViews(this, 0L, NULL);
	pDoc->SetModifiedFlag();

	CView::OnChar(nChar, nRepCnt, nFlags);
}
