// ButtonerCtl.cpp : Implementation of the CButtonerCtrl ActiveX Control class.

#include "stdafx.h"
#include "Buttoner.h"
#include "ButtonerCtl.h"
#include "ButtonerPpg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


IMPLEMENT_DYNCREATE(CButtonerCtrl, COleControl)


/////////////////////////////////////////////////////////////////////////////
// Message map

BEGIN_MESSAGE_MAP(CButtonerCtrl, COleControl)
	//{{AFX_MSG_MAP(CButtonerCtrl)
	ON_WM_LBUTTONDOWN()
	//}}AFX_MSG_MAP
	ON_MESSAGE(OCM_COMMAND, OnOcmCommand)
	ON_OLEVERB(AFX_IDS_VERB_PROPERTIES, OnProperties)
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// Dispatch map

BEGIN_DISPATCH_MAP(CButtonerCtrl, COleControl)
	//{{AFX_DISPATCH_MAP(CButtonerCtrl)
	DISP_PROPERTY_NOTIFY(CButtonerCtrl, "data", m_data, OnDataChanged, VT_I2)
	DISP_FUNCTION(CButtonerCtrl, "Beep", Beep, VT_EMPTY, VTS_NONE)
	//}}AFX_DISPATCH_MAP
	DISP_FUNCTION_ID(CButtonerCtrl, "AboutBox", DISPID_ABOUTBOX, AboutBox, VT_EMPTY, VTS_NONE)
END_DISPATCH_MAP()


/////////////////////////////////////////////////////////////////////////////
// Event map

BEGIN_EVENT_MAP(CButtonerCtrl, COleControl)
	//{{AFX_EVENT_MAP(CButtonerCtrl)
	EVENT_STOCK_CLICK()
	//}}AFX_EVENT_MAP
END_EVENT_MAP()


/////////////////////////////////////////////////////////////////////////////
// Property pages

// TODO: Add more property pages as needed.  Remember to increase the count!
BEGIN_PROPPAGEIDS(CButtonerCtrl, 1)
	PROPPAGEID(CButtonerPropPage::guid)
END_PROPPAGEIDS(CButtonerCtrl)


/////////////////////////////////////////////////////////////////////////////
// Initialize class factory and guid

IMPLEMENT_OLECREATE_EX(CButtonerCtrl, "BUTTONER.ButtonerCtrl.1",
	0x6ae5a161, 0x9584, 0x11d0, 0x88, 0x60, 0x44, 0x45, 0x53, 0x54, 0, 0)


/////////////////////////////////////////////////////////////////////////////
// Type library ID and version

IMPLEMENT_OLETYPELIB(CButtonerCtrl, _tlid, _wVerMajor, _wVerMinor)


/////////////////////////////////////////////////////////////////////////////
// Interface IDs

const IID BASED_CODE IID_DButtoner =
		{ 0x6ae5a15f, 0x9584, 0x11d0, { 0x88, 0x60, 0x44, 0x45, 0x53, 0x54, 0, 0 } };
const IID BASED_CODE IID_DButtonerEvents =
		{ 0x6ae5a160, 0x9584, 0x11d0, { 0x88, 0x60, 0x44, 0x45, 0x53, 0x54, 0, 0 } };


/////////////////////////////////////////////////////////////////////////////
// Control type information

static const DWORD BASED_CODE _dwButtonerOleMisc =
	OLEMISC_ACTIVATEWHENVISIBLE |
	OLEMISC_SETCLIENTSITEFIRST |
	OLEMISC_INSIDEOUT |
	OLEMISC_CANTLINKINSIDE |
	OLEMISC_RECOMPOSEONRESIZE;

IMPLEMENT_OLECTLTYPE(CButtonerCtrl, IDS_BUTTONER, _dwButtonerOleMisc)


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::CButtonerCtrlFactory::UpdateRegistry -
// Adds or removes system registry entries for CButtonerCtrl

BOOL CButtonerCtrl::CButtonerCtrlFactory::UpdateRegistry(BOOL bRegister)
{
	// TODO: Verify that your control follows apartment-model threading rules.
	// Refer to MFC TechNote 64 for more information.
	// If your control does not conform to the apartment-model rules, then
	// you must modify the code below, changing the 6th parameter from
	// afxRegApartmentThreading to 0.

	if (bRegister)
		return AfxOleRegisterControlClass(
			AfxGetInstanceHandle(),
			m_clsid,
			m_lpszProgID,
			IDS_BUTTONER,
			IDB_BUTTONER,
			afxRegApartmentThreading,
			_dwButtonerOleMisc,
			_tlid,
			_wVerMajor,
			_wVerMinor);
	else
		return AfxOleUnregisterClass(m_clsid, m_lpszProgID);
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::CButtonerCtrl - Constructor

CButtonerCtrl::CButtonerCtrl()
{
	InitializeIIDs(&IID_DButtoner, &IID_DButtonerEvents);

	SetText("Click Me!");
	// TODO: Initialize your control's instance data here.
	m_data = 0;
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::~CButtonerCtrl - Destructor

CButtonerCtrl::~CButtonerCtrl()
{
	// TODO: Cleanup your control's instance data here.
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::OnDraw - Drawing function

void CButtonerCtrl::OnDraw(
			CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)
{
	DoSuperclassPaint(pdc, rcBounds);
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::DoPropExchange - Persistence support

void CButtonerCtrl::DoPropExchange(CPropExchange* pPX)
{
	ExchangeVersion(pPX, MAKELONG(_wVerMinor, _wVerMajor));
	COleControl::DoPropExchange(pPX);

	// TODO: Call PX_ functions for each persistent custom property.

}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::OnResetState - Reset control to default state

void CButtonerCtrl::OnResetState()
{
	COleControl::OnResetState();  // Resets defaults found in DoPropExchange

	// TODO: Reset any other control state here.
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::AboutBox - Display an "About" box to the user

void CButtonerCtrl::AboutBox()
{
	CDialog dlgAbout(IDD_ABOUTBOX_BUTTONER);
	dlgAbout.DoModal();
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::PreCreateWindow - Modify parameters for CreateWindowEx

BOOL CButtonerCtrl::PreCreateWindow(CREATESTRUCT& cs)
{
	cs.lpszClass = _T("BUTTON");
	return COleControl::PreCreateWindow(cs);
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::IsSubclassedControl - This is a subclassed control

BOOL CButtonerCtrl::IsSubclassedControl()
{
	return TRUE;
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl::OnOcmCommand - Handle command messages

LRESULT CButtonerCtrl::OnOcmCommand(WPARAM wParam, LPARAM lParam)
{
#ifdef _WIN32
	WORD wNotifyCode = HIWORD(wParam);
#else
	WORD wNotifyCode = HIWORD(lParam);
#endif

	// TODO: Switch on wNotifyCode here.

	return 0;
}


/////////////////////////////////////////////////////////////////////////////
// CButtonerCtrl message handlers


void CButtonerCtrl::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	FireClick();

	m_data++;

	COleControl::OnLButtonDown(nFlags, point);
}

void CButtonerCtrl::OnDataChanged() 
{
	// TODO: Add notification handler code

	SetModifiedFlag();
}


void CButtonerCtrl::Beep() 
{
	// TODO: Add your dispatch handler code here
	MessageBeep(MB_OK);
}
