// dbView.cpp : implementation of the CDbView class
//

#include "stdafx.h"
#include "db.h"

#include "dbSet.h"
#include "dbDoc.h"
#include "dbView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDbView

IMPLEMENT_DYNCREATE(CDbView, CDaoRecordView)

BEGIN_MESSAGE_MAP(CDbView, CDaoRecordView)
	//{{AFX_MSG_MAP(CDbView)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CDaoRecordView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CDaoRecordView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CDaoRecordView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDbView construction/destruction

CDbView::CDbView()
	: CDaoRecordView(CDbView::IDD)
{
	//{{AFX_DATA_INIT(CDbView)
	m_pSet = NULL;
	m_text = _T("");
	m_text2 = _T("");
	//}}AFX_DATA_INIT
	// TODO: add construction code here

}

CDbView::~CDbView()
{
}

void CDbView::DoDataExchange(CDataExchange* pDX)
{
	CDaoRecordView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDbView)
	DDX_Text(pDX, IDC_EDIT1, m_text);
	DDX_Text(pDX, IDC_EDIT2, m_text2);
	//}}AFX_DATA_MAP
}

BOOL CDbView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CDaoRecordView::PreCreateWindow(cs);
}

void CDbView::OnInitialUpdate()
{
	m_pSet = &GetDocument()->m_dbSet;
	CDaoRecordView::OnInitialUpdate();
}

/////////////////////////////////////////////////////////////////////////////
// CDbView printing

BOOL CDbView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CDbView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CDbView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CDbView diagnostics

#ifdef _DEBUG
void CDbView::AssertValid() const
{
	CDaoRecordView::AssertValid();
}

void CDbView::Dump(CDumpContext& dc) const
{
	CDaoRecordView::Dump(dc);
}

CDbDoc* CDbView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDbDoc)));
	return (CDbDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDbView database support
CDaoRecordset* CDbView::OnGetRecordset()
{
	return m_pSet;
}


/////////////////////////////////////////////////////////////////////////////
// CDbView message handlers

void CDbView::OnButton1() 
{
	// TODO: Add your control notification handler code here
	m_text = m_pSet->m_Name;
	UpdateData(false);

	m_text2 = m_pSet->m_Grade;
	UpdateData(false);
}


